The binaries require the libelf library to run, so set LD_LIBRARY_PATH.
This is already used for some of the other tests.

Written by Kurt Roeckx <kurt@roeckx.be>

--- elfutils-0.120.orig/tests/run-arextract.sh
+++ elfutils-0.120/tests/run-arextract.sh
@@ -32,7 +32,7 @@
 
     # The files we are looking at.
     for f in ../libelf/*.o; do
-	./arextract $archive `basename $f` arextract.test || exit 1
+	LD_LIBRARY_PATH=../libelf ./arextract $archive `basename $f` arextract.test || exit 1
 	cmp $f arextract.test || {
 	    echo "Extraction of $1 failed"
 	    exit 1
--- elfutils-0.120.orig/tests/run-arsymtest.sh
+++ elfutils-0.120/tests/run-arsymtest.sh
@@ -37,7 +37,7 @@
     sort > $okfile
 
     # Now run our program using libelf.
-    ./arsymtest $lib $tmpfile || exit 1
+    LD_LIBRARY_PATH=../libelf ./arsymtest $lib $tmpfile || exit 1
     sort $tmpfile > $testfile
     rm $tmpfile
 

